---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: halo
spec:
  selector:
    matchLabels:
      container: halo
  template:
    metadata:
      labels:
        container: halo
        is-container: 'true'
        use-fallback-network-policy: 'true'
        uses-compat-layer: tipi
    spec:
      containers:
      - args:
        - --spring.r2dbc.url=r2dbc:pool:postgresql://halodb/halo
        - --spring.r2dbc.username=halo
        - --spring.r2dbc.password=3c754bf3d6696fb93372
        - --spring.sql.init.platform=postgresql
        - --halo.external-url=
        image: halohub/halo:2.20.14
        name: halo
        volumeMounts:
        - mountPath: /root/.halo2
          name: longhorn-own-data
      volumes:
      - name: longhorn-own-data
        persistentVolumeClaim:
          claimName: data
          readOnly: false

---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: halodb
spec:
  selector:
    matchLabels:
      container: halodb
  template:
    metadata:
      labels:
        container: halodb
        is-container: 'true'
        use-fallback-network-policy: 'true'
        uses-compat-layer: tipi
    spec:
      containers:
      - env:
        - name: PGUSER
          value: halo
        - name: POSTGRES_DB
          value: halo
        - name: POSTGRES_PASSWORD
          value: 3c754bf3d6696fb93372
        - name: POSTGRES_USER
          value: halo
        image: postgres:latest
        name: halodb
        volumeMounts:
        - mountPath: /var/lib/postgresql/data
          name: longhorn-own-data
          subPath: db
      volumes:
      - name: longhorn-own-data
        persistentVolumeClaim:
          claimName: data
          readOnly: false

